"""Data structures for OBO."""

from .reference import (
    OBOLiteral,
    Reference,
    Referenced,
    _parse_str_or_curie_or_uri,
    default_reference,
)
from .struct import (
    CHARLIE_TERM,
    HUMAN_TERM,
    PYOBO_INJECTED,
    Obo,
    Synonym,
    SynonymTypeDef,
    Term,
    TypeDef,
    make_ad_hoc_ontology,
)
from .struct_utils import Annotation, Stanza
from .typedef import (
    derives_from,
    enables,
    from_species,
    gene_product_member_of,
    has_category,
    has_citation,
    has_gene_product,
    has_member,
    has_part,
    has_participant,
    is_a,
    member_of,
    orthologous,
    part_of,
    participates_in,
    species_specific,
    superclass_of,
    transcribes_to,
    translates_to,
)

__all__ = [
    "CHARLIE_TERM",
    "HUMAN_TERM",
    "PYOBO_INJECTED",
    "Annotation",
    "OBOLiteral",
    "Obo",
    "Reference",
    "Referenced",
    "Stanza",
    "Synonym",
    "SynonymTypeDef",
    "Term",
    "TypeDef",
    "_parse_str_or_curie_or_uri",
    "default_reference",
    "derives_from",
    "enables",
    "from_species",
    "gene_product_member_of",
    "has_category",
    "has_citation",
    "has_gene_product",
    "has_member",
    "has_part",
    "has_participant",
    "is_a",
    "make_ad_hoc_ontology",
    "member_of",
    "orthologous",
    "part_of",
    "participates_in",
    "species_specific",
    "superclass_of",
    "transcribes_to",
    "translates_to",
]
